import { jsx } from "react/jsx-runtime";
import { TokenSAFE as TokenSAFE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSAFE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "SAFE", "data-name": "TokenSAFE", ...props, children: /* @__PURE__ */ jsx(TokenSAFE$1, { variant }) });
  }
);
TokenSAFE.displayName = "TokenSAFE";
Object.assign(TokenSAFE, { isGdsIcon: true });
export {
  TokenSAFE
};
